<?php
/** 
* @package	Galeria Suczawa 2009 
* @file		admin/gallery_item_delete.php
* @version	$Id$
**/
if (!isset($_GET['id']) || !is_numeric(trim($_GET['id'])))
{
	Przekieruj('index.php?mode=admin_gallery', 'Nieprawidłowy ID zdjęcia');
}

$id = intval($_GET['id']);

#a teraz czy wogole zdjecie istnieje w bazie ;)
$sql = "SELECT * FROM `photos` WHERE `id`='$id';";
if (!$result = $DB->query($sql))
{
	blad('Nie mozna pobrac info o zdjeciu');
}
if ($result->num_rows == 0)
{
	Przekieruj('index.php?mode=admin_gallery', 'Zdjęcie nie istnieje!');
}
if (isset($_POST['del']))
{
	$sql = "DELETE FROM `photos` WHERE `id`='$id'";
	if (!$DB->query($sql))
	{
		blad('Nie mozna skasowac zdjecia!');
		
	}
	Przekieruj('index.php?mode=admin_gallery', 'Zdjęcie zostało usunięte. Powrót...');
}
NaglowekPA('Usuń zdjęcie');
?>
<br />
<br />
<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="POST">
<div style="background-color: yellow">
Czy napewno chcesz usunąć zdjęcie o numerze ID: "<?php echo $id; ?>"? Zmiany są nieodwracalne!
</div><br />
<input type="hidden" name="del" value="true" />
<input type="submit" value="Dalej" />
</form>
<?php StopkaPA(); ?>